# CL12GL (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opencl
Class CL12GL

    java.lang.Object
      org.lwjgl.opencl.CL12GL

    public final class CL12GL

extends java.lang.Object

The core OpenCL 1.2 OpenGL interrop functionality.

Field Summary
`static int` `CL_GL_OBJECT_TEXTURE_BUFFER`
`static int` `CL_GL_OBJECT_TEXTURE1D`
`static int` `CL_GL_OBJECT_TEXTURE1D_ARRAY`
`static int` `CL_GL_OBJECT_TEXTURE2D_ARRAY`

Method Summary
`static CLMem` `clCreateFromGLTexture(CLContext context, long flags, int target, int miplevel, int texture, java.nio.IntBuffer errcode_ret)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CL_GL_OBJECT_TEXTURE2D_ARRAY

    public static final int CL_GL_OBJECT_TEXTURE2D_ARRAY

See Also:
  Constant Field Values

### CL_GL_OBJECT_TEXTURE1D

    public static final int CL_GL_OBJECT_TEXTURE1D

See Also:
  Constant Field Values

### CL_GL_OBJECT_TEXTURE1D_ARRAY

    public static final int CL_GL_OBJECT_TEXTURE1D_ARRAY

See Also:
  Constant Field Values

### CL_GL_OBJECT_TEXTURE_BUFFER

    public static final int CL_GL_OBJECT_TEXTURE_BUFFER

See Also:
  Constant Field Values

Method Detail

### clCreateFromGLTexture

    public static CLMem clCreateFromGLTexture(CLContext context,
                                              long flags,
                                              int target,
                                              int miplevel,
                                              int texture,
                                              java.nio.IntBuffer errcode_ret)

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.